# MPE_Log_get_event_number

Get an unused event number.

## Synopsis

    int MPE_Log_get_event_number( void )

## Returns

A value that can be used in MPE_Describe_info_event() and MPE_Describe_info_state() which define an event or state not used before.

## Notes

This routine is provided to ensure that users are using unique event numbers. It relies on all packages using this routine. *** The function is deprecated, its use is strongly discouraged. The function has been replaced by MPE_Log_get_state_eventIDs() and MPE_Log_get_event_eventID(). ***

This function is threadsafe.

Location:../src/logging/src/mpe_log.c